#Module-Specific definitions
%define mod_name mod_security2
%define mod_conf 82_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Mod_security is a DSO module for the apache web server
Name:		apache-%{mod_name}
Version:	2.0.0
Release:	%mkrel 0.rc2.0
Group:		System/Servers
License:	GPL
URL:		http://www.modsecurity.org/
Source0:	http://www.modsecurity.org/download/modsecurity-apache_%{version}-rc-2.tar.gz
Source1:	http://www.modsecurity.org/download/modsecurity-apache_%{version}-rc-2.tar.gz.asc
Source3:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
Requires:	apache-mod_unique_id >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Conflicts:	apache-mod_security
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ModSecurity is an open source intrustion detection and prevention
engine for web applications. It operates embedded into the web
server, acting as a powerful umbrella - shielding applications
from attacks.

%prep

%setup -q -n modsecurity-apache_%{version}-rc-2

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%make \
    top_dir="%{_libdir}/apache" \
    INCLUDES="-I%{_includedir}/libxml2" \
    DEFS="-DWITH_LIBXML2 -DWITH_PCRE_STUDY" \
    CFLAGS="-Wl,-lxml2"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE3} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.TXT modsecurity-apache-reference*.rtf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}

%changelog
* Tue Jul 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.rc2.0mdk
- initial Mandriva package
